{% extends "combio_app/base.html" %}
{% load i18n %}
{% load static %}
{% block container %}
    <div class="grid">
            <div class="w-[520px] px-8 py-6 m-auto">
                <span class="text-3xl mb-6 text-mpiwg-green text-center">{% if token_fail %}{% translate "Bad Token" %}{% else %}
                    {% translate "Change Password" %}{% endif %}</span>

                {% if token_fail %}
                    {% url 'account_reset_password' as passwd_reset_url %}
                    <p>{% blocktrans %}The password reset link was invalid, possibly because it has already been used.
                        Please request a <a href="{{ passwd_reset_url }}">new password reset</a>.{% endblocktrans %}</p>
                {% else %}
                    {% if form %}
                        <form method="post" action="{{ action_url }}">
                            {% csrf_token %}
                           <div class="mt-4">
            <label class="block font-bold">Password</label>
            <span class="italic text-red-500"
              >{{ form.password1.errors | safe }}</span
            >
            <input
              type="password"
              id="id_password1"
              name="password1"
              placeholder="Password"
              {% if form.password1.value %}
              value="{{form.password1.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-blue-600"
            />
          </div>
          <div class="mt-4">
            <label class="block font-bold">Password Confirmation</label>
            <span class="italic text-red-500"
              >{{ form.password2.errors | safe }}</span
            >
            <input
              type="password"
              id="id_password2"
              name="password2"
              placeholder="Password Confirmation"
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-blue-600"
            />
          </div>
                            <button type="submit"  class="inline-flex mt-4 items-center text-white self-center shadow-md shadow-inner bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2" role="button">
                                {% translate "Change Password" %}
                            </button>
                        </form>
                    {% else %}
                        <p>{% translate 'Your password is now changed.' %}</p>
                    {% endif %}
                {% endif %}
            </div>
    </div>
{% endblock %}
